package com.zbf.system.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zbf.common.annotation.Excel;
import com.zbf.common.core.domain.TreeEntity;

/**
 * 财务分类对象 t_base_financial_class
 *
 * @author sunits
 * @date 2024-06-28
 */
@TableName(resultMap = "com.zbf.system.mapper.TBaseFinancialClassMapper.TBaseFinancialClassResult")
public class TBaseFinancialClass extends TreeEntity {
private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /** 物料分类编码 */
    @Excel(name = "物料分类编码")
    private String materialClassCode;

    /** 物料分类名称 */
    @Excel(name = "物料分类名称")
    private String materialClassName;

    /** 类型：0:总数据 1：明细 */
    @Excel(name = "类型：0:总数据 1：明细")
    private String dataType;

    public void setId(Long id)
            {
            this.id = id;
            }

    public Long getId()
            {
            return id;
            }
    public void setMaterialClassCode(String materialClassCode)
            {
            this.materialClassCode = materialClassCode;
            }

    public String getMaterialClassCode()
            {
            return materialClassCode;
            }
    public void setMaterialClassName(String materialClassName)
            {
            this.materialClassName = materialClassName;
            }

    public String getMaterialClassName()
            {
            return materialClassName;
            }

    public String getDataType()
            {
            return dataType;
            }

@Override
public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("parentId", getParentId())
            .append("materialClassCode", getMaterialClassCode())
            .append("materialClassName", getMaterialClassName())
            .append("dataType", getDataType())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
        .toString();
        }
}


















